#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	gobject-introspection
Version		:	1.78.1
Release		:	14.8.0.0%{?dist}
Summary		:	Introspection system for GObject-based libraries
Group		:	Development/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+, LGPLv2+, MIT
URL		:	https://wiki.gnome.org/Projects/GObjectIntrospection
			#https://download.gnome.org/sources/gobject-introspection/1.74/

Source0		:	%{name}-%{version}.tar.xz
#-----------------------------------------------------------------------------
BuildRequires	:	glib-devel	>= 2.76.2
BuildRequires	:	python3
BuildRequires	:	autoconf-archive

Requires	:	python3
#-----------------------------------------------------------------------------
%description
GObject introspection is a middleware layer between C libraries
(using GObject) and language bindings. The C library can be scanned
at compile time and generate metadata files, in addition to the
actual native C library. Then language bindings can read this
metadata and automatically provide bindings to call into the
C library.

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root,-)
%doc COPYING NEWS README.rst
%{_bindir}/g-ir-*
%{_includedir}/%{name}-1.0/*.h
%{_libdir}/%{name}/giscanner/*
%{_libdir}/libgirepository-1.0.so*
%{_libdir}/girepository-1.0/*.typelib
%{_libdir}/pkgconfig/%{name}*-1.0.pc
%{_datadir}/gir-1.0/*.gir
%{_datadir}/gir-1.0/gir-1.2.rnc
%{_datadir}/%{name}-1.0/tests/*.{c,h}
%{_datadir}/%{name}-1.0/Makefile.introspection
%{_datadir}/%{name}-1.0/gdump.c
%{_datadir}/aclocal/introspection.m4
%{_mandir}/man1/*.1.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

PKG_CONFIG_PATH=/usr/lib/pkgconfig			\
meson	setup						\
        --prefix=%{_prefix}				\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--buildtype=release				\
	-D python=%{__python3}				\
	_bld

meson	compile						\
		-C _bld

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
meson	install						\
	-C _bld						\

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
